Bug 1673326 - "Red Hat Registry" is ambiguous
Summary: "Red Hat Registry" is ambiguous
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management - Content
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Brad Buckingham
QA Contact: Mirek Zalewski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-07 11:59 UTC by Mirek Zalewski
Modified: 2019-11-05 22:45 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.35-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
Page with dropdown in question as seen right now (67.40 KB, image/png)
2019-02-07 11:59 UTC, Mirek Zalewski
no flags Details
Page with dropdown as seen after change (41.66 KB, image/png)
2019-04-01 11:07 UTC, Mirek Zalewski
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:16 UTC
Foreman Issue Tracker 26470 None None None 2019-03-27 16:40:31 UTC

Description Mirek Zalewski 2019-02-07 11:59:05 UTC
Created attachment 1527797 [details]
Page with dropdown in question as seen right now

In Satellite 6.5 we introduce repository discovery for container registries. To streamline user experience, we have three most popular registries available in dropdown field. One of them is called "Red Hat Registry".

The problem is, Red Hat currently maintains three registries: registry.access.redhat.com, registry.redhat.io and registry.connect.redhat.com. Users can reasonably expect "Red Hat Registry" to mean any one of these.

How do we unambiguously communicate which one will be used when this value is selected?

Comment 2 Mirek Zalewski 2019-02-07 12:01:12 UTC
Hi Roxanne,

We are unsure about design of particular page in Satellite 6.5. Could you guide us?

Comment 3 Roxanne Hoover 2019-03-12 14:59:55 UTC
So looking at the description, is there a reason the three registries you provided aren't listed individually as such instead of "Red Hat Registry"?

Comment 4 Brad Buckingham 2019-03-27 16:40:31 UTC
Created redmine issue https://projects.theforeman.org/issues/26470 from this bug

Comment 6 Mirek Zalewski 2019-04-01 11:06:57 UTC
Dropdown label now reads "Red Hat Registry (registry.redhat.io)". If one of other Red Hat-managed registries is required, "Custom" option should be selected - it allows user to specify registry manually.

No change in underlying functionality.

Version:
Satellite 6.5 snap 22
pulp-server-2.18.1.1-1.el7sat.noarch
foreman-1.20.1.31-1.el7sat.noarch
tfm-rubygem-katello-3.10.0.36-1.el7sat.noarch
satellite-6.5.0-10.el7sat.noarch

Comment 7 Mirek Zalewski 2019-04-01 11:07:49 UTC
Created attachment 1550471 [details]
Page with dropdown as seen after change

Comment 10 errata-xmlrpc 2019-05-14 12:40:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.